<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/ClusterConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ClusterConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_cluster_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ConstCluster_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ConstCluster_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_obj_8h.html">eicd/ClusterObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_calorimeter_hit_8h.html">eicd/CalorimeterHit.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_8h.html">eicd/Cluster.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>Cluster;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>ClusterCollection;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>ClusterCollectionIterator;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a> {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_cluster.html">Cluster</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_cluster_collection.html">ClusterCollection</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_cluster_collection_iterator.html">ClusterCollectionIterator</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster</a>();</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster</a>(<span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">energy</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">position</a>, std::array&lt;float, 6&gt; <a class="code" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">positionError</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">theta</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">phi</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">directionError</a>);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster</a>(<a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>* obj);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">ConstCluster</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; other);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a0130c5dabca753aa2a1fdf8ce9222c8b">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; other);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a> <a class="code" href="classeic_1_1_const_cluster.html#aa26e9132ee4d394f65513c47cf515090">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html#adc6346f25ae8bbef9fdd7f85b328d9d4">~ConstCluster</a>();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">energy</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">position</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">position</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">const</span> std::array&lt;float, 6&gt;&amp; <a class="code" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">positionError</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">positionError</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">theta</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">phi</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">directionError</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">directionError</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_cluster.html#a1150bc5e4e1e1baf260379d0788054d7">clusters_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html">::eic::ConstCluster</a> <a class="code" href="classeic_1_1_const_cluster.html#a818444afd32959418598e3ec8b576f75">clusters</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  std::vector&lt;::eic::ConstCluster&gt;::const_iterator <a class="code" href="classeic_1_1_const_cluster.html#ab91a53536d57e95a7c6cb2094f232f90">clusters_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  std::vector&lt;::eic::ConstCluster&gt;::const_iterator <a class="code" href="classeic_1_1_const_cluster.html#a988003293b4f3c35b5dd6594a92ba146">clusters_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  podio::RelationRange&lt;::eic::ConstCluster&gt; <a class="code" href="classeic_1_1_const_cluster.html#a818444afd32959418598e3ec8b576f75">clusters</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_cluster.html#a7161ea9a78d73e88f46ec412c389c1e4">hits_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html">::eic::ConstCalorimeterHit</a> <a class="code" href="classeic_1_1_const_cluster.html#ade2f597b20a40afe2a3b33a53d139138">hits</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  std::vector&lt;::eic::ConstCalorimeterHit&gt;::const_iterator <a class="code" href="classeic_1_1_const_cluster.html#ab4ff1f00849adf3dee05a75f47036073">hits_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  std::vector&lt;::eic::ConstCalorimeterHit&gt;::const_iterator <a class="code" href="classeic_1_1_const_cluster.html#a6548e04866e7bed844182529e12ac948">hits_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  podio::RelationRange&lt;::eic::ConstCalorimeterHit&gt; <a class="code" href="classeic_1_1_const_cluster.html#ade2f597b20a40afe2a3b33a53d139138">hits</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_cluster.html#a4ca31087b9474e68534cecc8079904a5">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a78fc146eb2ad93f0fdd32bb2e260567f">   94</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_cluster.html#a78fc146eb2ad93f0fdd32bb2e260567f">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#ac303c6215e6d5a43c172ec29a6cdeb74">   96</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_cluster.html#ac303c6215e6d5a43c172ec29a6cdeb74">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_cluster.html#ac303c6215e6d5a43c172ec29a6cdeb74">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_cluster.html">Cluster</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#ae05700efa1ef037f1a861ea2c2fa6593">  100</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_cluster.html#ae05700efa1ef037f1a861ea2c2fa6593">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="classeic_1_1_const_cluster.html#a5a8221e4a78083cbfbf75308eb68836d">  102</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_cluster.html#a5a8221e4a78083cbfbf75308eb68836d">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">getObjectID</a>().index; }</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>* m_obj;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;};</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_cluster_obj_html"><div class="ttname"><a href="classeic_1_1_cluster_obj.html">eic::ClusterObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00021">ClusterObj.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a3c05cd3edd24b6804314aeedd5876bc4"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a3c05cd3edd24b6804314aeedd5876bc4">eic::ConstCluster::positionError</a></div><div class="ttdeci">const std::array&lt; float, 6 &gt; &amp; positionError() const</div><div class="ttdoc">Access the Covariance matrix of the position (6 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00054">ClusterConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00029">CalorimeterHitConst.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html"><div class="ttname"><a href="classeic_1_1_cluster.html">eic::Cluster</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8h_source.html#l00029">Cluster.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a1150bc5e4e1e1baf260379d0788054d7"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a1150bc5e4e1e1baf260379d0788054d7">eic::ConstCluster::clusters_size</a></div><div class="ttdeci">unsigned int clusters_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00075">ClusterConst.cc:75</a></div></div>
<div class="ttc" id="_calorimeter_hit_8h_html"><div class="ttname"><a href="_calorimeter_hit_8h.html">CalorimeterHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a4ca31087b9474e68534cecc8079904a5"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a4ca31087b9474e68534cecc8079904a5">eic::ConstCluster::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00130">ClusterConst.cc:130</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ade2f597b20a40afe2a3b33a53d139138"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ade2f597b20a40afe2a3b33a53d139138">eic::ConstCluster::hits</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstCalorimeterHit &gt; hits() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00118">ClusterConst.cc:118</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a4f3c6ff7a35997ba91fc516c9340df96"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a4f3c6ff7a35997ba91fc516c9340df96">eic::ConstCluster::phi</a></div><div class="ttdeci">const float &amp; phi() const</div><div class="ttdoc">Access the Intrinsic direction of cluster at position - Phi. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00057">ClusterConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ac303c6215e6d5a43c172ec29a6cdeb74"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ac303c6215e6d5a43c172ec29a6cdeb74">eic::ConstCluster::operator==</a></div><div class="ttdeci">bool operator==(const ConstCluster &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00096">ClusterConst.h:96</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a6548e04866e7bed844182529e12ac948"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a6548e04866e7bed844182529e12ac948">eic::ConstCluster::hits_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCalorimeterHit &gt;::const_iterator hits_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00101">ClusterConst.cc:101</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a5a8221e4a78083cbfbf75308eb68836d"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a5a8221e4a78083cbfbf75308eb68836d">eic::ConstCluster::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00102">ClusterConst.h:102</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a70192afa134440272ee7f0acf25cb88f"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a70192afa134440272ee7f0acf25cb88f">eic::ConstCluster::theta</a></div><div class="ttdeci">const float &amp; theta() const</div><div class="ttdoc">Access the Intrinsic direction of cluster at position - Theta. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00056">ClusterConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a3d96f2e954b1d8f0af65a89301adb75d"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a3d96f2e954b1d8f0af65a89301adb75d">eic::ConstCluster::ConstCluster</a></div><div class="ttdeci">ConstCluster()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00016">ClusterConst.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a78fc146eb2ad93f0fdd32bb2e260567f"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a78fc146eb2ad93f0fdd32bb2e260567f">eic::ConstCluster::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from ClusterObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00094">ClusterConst.h:94</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a207ee0f008fdb43732235b63415948fd"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a207ee0f008fdb43732235b63415948fd">eic::ConstCluster::energy</a></div><div class="ttdeci">const float &amp; energy() const</div><div class="ttdoc">Access the Energy of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00051">ClusterConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_collection_html"><div class="ttname"><a href="classeic_1_1_cluster_collection.html">eic::ClusterCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_collection_8h_source.html#l00050">ClusterCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_adc6346f25ae8bbef9fdd7f85b328d9d4"><div class="ttname"><a href="classeic_1_1_const_cluster.html#adc6346f25ae8bbef9fdd7f85b328d9d4">eic::ConstCluster::~ConstCluster</a></div><div class="ttdeci">~ConstCluster()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00048">ClusterConst.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ae05700efa1ef037f1a861ea2c2fa6593"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ae05700efa1ef037f1a861ea2c2fa6593">eic::ConstCluster::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstCluster &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00100">ClusterConst.h:100</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html"><div class="ttname"><a href="classeic_1_1_const_cluster.html">eic::ConstCluster</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00027">ClusterConst.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_cluster_collection_iterator.html">eic::ClusterCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_collection_8h_source.html#l00029">ClusterCollection.h:29</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a988003293b4f3c35b5dd6594a92ba146"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a988003293b4f3c35b5dd6594a92ba146">eic::ConstCluster::clusters_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt;::const_iterator clusters_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00069">ClusterConst.cc:69</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a0130c5dabca753aa2a1fdf8ce9222c8b"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a0130c5dabca753aa2a1fdf8ce9222c8b">eic::ConstCluster::operator=</a></div><div class="ttdeci">ConstCluster &amp; operator=(const ConstCluster &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00034">ClusterConst.cc:34</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ab4ff1f00849adf3dee05a75f47036073"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ab4ff1f00849adf3dee05a75f47036073">eic::ConstCluster::hits_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCalorimeterHit &gt;::const_iterator hits_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00095">ClusterConst.cc:95</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ab91a53536d57e95a7c6cb2094f232f90"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ab91a53536d57e95a7c6cb2094f232f90">eic::ConstCluster::clusters_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt;::const_iterator clusters_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00063">ClusterConst.cc:63</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_aba7f1304402caeda4b15bdb243904ad7"><div class="ttname"><a href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">eic::ConstCluster::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00137">ClusterConst.cc:137</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a7161ea9a78d73e88f46ec412c389c1e4"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a7161ea9a78d73e88f46ec412c389c1e4">eic::ConstCluster::hits_size</a></div><div class="ttdeci">unsigned int hits_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00107">ClusterConst.cc:107</a></div></div>
<div class="ttc" id="_cluster_8h_html"><div class="ttname"><a href="_cluster_8h.html">Cluster.h</a></div></div>
<div class="ttc" id="_cluster_obj_8h_html"><div class="ttname"><a href="_cluster_obj_8h.html">ClusterObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_a818444afd32959418598e3ec8b576f75"><div class="ttname"><a href="classeic_1_1_const_cluster.html#a818444afd32959418598e3ec8b576f75">eic::ConstCluster::clusters</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstCluster &gt; clusters() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00086">ClusterConst.cc:86</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_ac0596d92806b3e10fd5520ab34cd215e"><div class="ttname"><a href="classeic_1_1_const_cluster.html#ac0596d92806b3e10fd5520ab34cd215e">eic::ConstCluster::directionError</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; directionError() const</div><div class="ttdoc">Access the Covariance matrix of the direction (3 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00058">ClusterConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_aa26e9132ee4d394f65513c47cf515090"><div class="ttname"><a href="classeic_1_1_const_cluster.html#aa26e9132ee4d394f65513c47cf515090">eic::ConstCluster::clone</a></div><div class="ttdeci">ConstCluster clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00044">ClusterConst.cc:44</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html_affb2b5a9c511922b51db5945f67988bf"><div class="ttname"><a href="classeic_1_1_const_cluster.html#affb2b5a9c511922b51db5945f67988bf">eic::ConstCluster::position</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; position() const</div><div class="ttdoc">Access the Position of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8cc_source.html#l00052">ClusterConst.cc:52</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
